return {
PlaceObj('ModItemCode', {
	'FileName', "Code/Script.lua",
}),
PlaceObj('ModItemGameValue', {
	'id', "OutsourceResearchCost",
	'percent', -100,
}),
PlaceObj('ModItemTech', {
	'id', "WirelessPower",
	'display_name', T{6540, "stripped"},
	'icon', "UI/Icons/Research/wireless_power.tga",
	'description', T{6541, "stripped"},
	'param1comment', "Range",
	'param1', 100,
	'param2', 10000,
}, {
	PlaceObj('TechEffect_EditProps', nil),
}),
PlaceObj('ModItemTech', {
	'id', "OverchargeAmplification",
	'display_name', T{7926, "stripped"},
	'icon', "UI/Icons/Research/overcharge_amplifications.tga",
	'description', T{7927, "stripped"},
}, {
	PlaceObj('TechEffect_EditProps', nil),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "FuelFactory_Amplify",
		'prop', "production_per_day1",
		'percent', 500,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "MachinePartsFactory_Amplify",
		'prop', "production_per_day1",
		'percent', 500,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "MetalsExtractor_Amplify",
		'prop', "production_per_day1",
		'percent', 500,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "PolymerPlant_Amplify",
		'prop', "production_per_day1",
		'percent', 500,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "PreciousMetalsExtractor_Amplify",
		'prop', "production_per_day1",
		'percent', 500,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "RegolithExtractor_Amplify",
		'prop', "production_per_day1",
		'percent', 500,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "ElectronicsFactory_Amplify",
		'prop', "production_per_day1",
		'percent', 500,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "ResearchLab_Amplify",
		'prop', "ResearchPointsPerDay",
		'percent', 2000,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "ScienceInstitute_Amplify",
		'prop', "ResearchPointsPerDay",
		'percent', 500,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "WaterExtractor_Amplify",
		'prop', "water_production",
		'percent', 2000,
	}),
	PlaceObj('TechEffect_ModifyUprade', {
		'upgrade_id', "NetworkNode_Amplify",
		'prop', "performance",
		'percent', 500,
	}),
}),
PlaceObj('ModItemTech', {
	'id', "StorageCompression",
	'display_name', T{7999, "stripped"},
	'icon', "UI/Icons/Research/storage_compression.tga",
	'description', T{8000, "stripped"},
	'position', range(6, 11),
	'param1comment', "Expanded Capacity %",
	'param1', 1000,
	'field', "Engineering",
}, {
	PlaceObj('TechEffect_EditProps', nil),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "WaterTank",
		'Prop', "water_capacity",
		'Amount', 1000,
		'Percent', 1000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "LargeWaterTank",
		'Prop', "water_capacity",
		'Amount', 2000,
		'Percent', 2000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "OxygenTank",
		'Prop', "air_capacity",
		'Percent', 1000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "Battery_WaterFuelCell",
		'Prop', "capacity",
		'Percent', 1000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "AtomicBattery",
		'Prop', "capacity",
		'Percent', 1000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "WaterTank",
		'Prop', "max_water_charge",
		'Amount', 100000,
		'Percent', 100000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "LargeWaterTank",
		'Prop', "max_water_charge",
		'Amount', 200000,
		'Percent', 200000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "OxygenTank",
		'Prop', "max_air_charge",
		'Amount', 100000,
		'Percent', 100000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "Battery_WaterFuelCell",
		'Prop', "max_electricity_charge",
		'Amount', 100000,
		'Percent', 100000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "AtomicBattery",
		'Prop', "max_electricity_charge",
		'Amount', 100000,
		'Percent', 100000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "WaterTank",
		'Prop', "max_water_discharge",
		'Amount', 100000,
		'Percent', 100000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "LargeWaterTank",
		'Prop', "max_water_discharge",
		'Amount', 200000,
		'Percent', 200000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "OxygenTank",
		'Prop', "max_air_discharge",
		'Amount', 100000,
		'Percent', 100000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "Battery_WaterFuelCell",
		'Prop', "max_electricity_discharge",
		'Amount', 100000,
		'Percent', 100000,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "AtomicBattery",
		'Prop', "max_electricity_discharge",
		'Amount', 100000,
		'Percent', 100000,
	}),
}),
PlaceObj('ModItemTech', {
	'id', "CompactHangars",
	'display_name', T{6427, "stripped"},
	'icon', "UI/Icons/Research/compact_hangars.tga",
	'description', T{6428, "stripped"},
	'position', range(15, 17),
	'param1comment', "Max Shuttles",
	'param1', 20,
	'field', "Robotics",
}, {
	PlaceObj('TechEffect_EditProps', nil),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "ShuttleHub",
		'Prop', "max_shuttles",
		'Amount', 20,
	}),
}),
PlaceObj('ModItemTech', {
	'id', "AdvancedMartianEngines",
	'display_name', T{6365, "stripped"},
	'icon', "UI/Icons/Research/advanced_martian_engines.tga",
	'description', T{6366, "stripped"},
	'position', range(1, 5),
	'field', "Engineering",
}, {
	PlaceObj('TechEffect_EditProps', nil),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "AllRockets",
		'Prop', "launch_fuel",
		'Amount', -30,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "ShuttleHub",
		'Prop', "consumption_amount",
		'Percent', -50,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "ShuttleHub",
		'Prop', "electricity_consumption",
		'Percent', -100,
	}),
}),
PlaceObj('ModItemTech', {
	'id', "HighPoweredJets",
	'display_name', T{6429, "stripped"},
	'icon', "UI/Icons/Research/high-powered_jets.tga",
	'description', T{6430, "stripped"},
	'position', range(15, 17),
	'param1comment', "Cargo Capacity Bonus",
	'param1', 200,
	'field', "Robotics",
}, {
	PlaceObj('TechEffect_EditProps', nil),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "CargoShuttle",
		'Prop', "max_shared_storage",
		'Amount', 200,
	}),
}),
PlaceObj('ModItemTech', {
	'id', "MartianAerodynamics",
	'display_name', T{6421, "stripped"},
	'icon', "UI/Icons/Research/martian_aerodynamics.tga",
	'description', T{6422, "stripped"},
	'position', range(11, 13),
	'param1comment', "Speed Buff",
	'param1', 200,
	'field', "Robotics",
}, {
	PlaceObj('TechEffect_EditProps', nil),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "CargoShuttle",
		'Prop', "max_speed",
		'Percent', 300,
	}),
}),

PlaceObj('ModItemTech', {
	'id', "XenoExtraction",
	'display_name', T{6616, "stripped"},
	'icon', "UI/Icons/Research/xeno_extraction.tga",
	'description', T{6617, "stripped"},
	'position', range(0, 2),
	'param1comment', "Bonus Production",
	'param1', 500,
	'field', "Mysteries",
	'mystery', "DiggersMystery",
}, {
	PlaceObj('TechEffect_EditProps', nil),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "WaterExtractor",
		'Prop', "water_production",
		'Percent', 500,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "MetalsExtractor",
		'Prop', "production_per_day1",
		'Percent', 500,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "PreciousMetalsExtractor",
		'Prop', "production_per_day1",
		'Percent', 500,
	}),
	PlaceObj('TechEffect_ModifyLabel', {
		'Label', "RegolithExtractor",
		'Prop', "production_per_day1",
		'Percent', 500,
	}),
}),
PlaceObj('ModItemTech', {
	'id', "CoreRareMetals",
	'display_name', T{6550, "stripped"},
	'icon', "UI/Icons/Research/core_rare_metals.tga",
	'description', T{6551, "stripped"},
	'param1comment', "min deposists",
	'param1', 50,
	'param2comment', "max deposits",
	'param2', 100,
	'param3comment', "quantity",
	'param3', 50000000,
}, {
	PlaceObj('TechEffect_EditProps', nil),
}),
PlaceObj('ModItemTech', {
	'id', "CoreMetals",
	'display_name', T{6546, "stripped"},
	'icon', "UI/Icons/Research/core_metals.tga",
	'description', T{6547, "stripped"},
	'param1comment', "min deposits",
	'param1', 50,
	'param2comment', "max deposits",
	'param2', 100,
	'param3comment', "quantity",
	'param3', 50000000,
}, {
	PlaceObj('TechEffect_EditProps', nil),
}),
PlaceObj('ModItemTech', {
	'id', "CoreWater",
	'display_name', T{6548, "stripped"},
	'icon', "UI/Icons/Research/core_water.tga",
	'description', T{6549, "stripped"},
	'param1comment', "min deposits",
	'param1', 50,
	'param2comment', "max deposits",
	'param2', 100,
	'param3comment', "quantity",
	'param3', 50000000,
}, {
	PlaceObj('TechEffect_EditProps', nil),
}),
}
